from django.db import models
from ..accounts.models import User


class View(models.Model):
    name = models.CharField(max_length=100)
    columns = models.JSONField()
    filters = models.JSONField()
    sort = models.CharField()


class Thing(models.Model):
    thing_id = models.PositiveIntegerField()
    user = models.ForeignKey(User, related_name="things", on_delete=models.CASCADE)
    data = models.JSONField()
    type = models.CharField(max_length=100)
    created_at = models.DateTimeField(auto_now_add=True)
    synced_at = models.DateTimeField()
    deleted = models.BooleanField(default=False)

    class Meta:
        unique_together = ("thing_id", "user_id")


class ThingEdit(models.Model):
    thing = models.ForeignKey(Thing, related_name="edits", on_delete=models.CASCADE)
    data = models.JSONField()
    timestamp = models.DateTimeField()
